;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM16_key.inc
;;   Version: 2.5, Updated on 2009/6/24 at 12:16:52
;;  Generated by PSoC Designer 5.0.972.0
;;
;;  DESCRIPTION: Assembler declarations for the PWM16 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM16_key API's.
;--------------------------------------------------

PWM16_key_CONTROL_REG_START_BIT:           equ 0x01    ; Control register start bit
PWM16_key_INT_REG:                         equ 0x0df
PWM16_key_INT_MASK:                        equ 0x20


;--------------------------------------------------
; Constants for PWM16_key user defined values
;--------------------------------------------------

PWM16_key_PERIOD:                          equ 0x0
PWM16_key_PULSE_WIDTH:                     equ 0x0


;--------------------------------------------------
; Register Address Constants for PWM16_key
;--------------------------------------------------

PWM16_key_COUNTER_LSB_REG:             equ 0x50   ; DR0 Count register
PWM16_key_COUNTER_MSB_REG:             equ 0x54
PWM16_key_PERIOD_LSB_REG:              equ 0x51   ; DR1 Period register
PWM16_key_PERIOD_MSB_REG:              equ 0x55
PWM16_key_COMPARE_LSB_REG:             equ 0x52   ; DR2 Compare register
PWM16_key_COMPARE_MSB_REG:             equ 0x56
PWM16_key_CONTROL_LSB_REG:             equ 0x53   ; Control register
PWM16_key_CONTROL_MSB_REG:             equ 0x57
PWM16_key_FUNC_LSB_REG:                equ 0x50   ; Function register
PWM16_key_FUNC_MSB_REG:                equ 0x54
PWM16_key_INPUT_LSB_REG:               equ 0x51   ; Input register
PWM16_key_INPUT_MSB_REG:               equ 0x55
PWM16_key_OUTPUT_LSB_REG:              equ 0x52   ; Output register
PWM16_key_OUTPUT_MSB_REG:              equ 0x56


;--------------------------------------------------
; PWM16_key Macro 'Functions'
;--------------------------------------------------

   macro PWM16_key_Start_M
   or    reg[PWM16_key_CONTROL_LSB_REG],  PWM16_key_CONTROL_REG_START_BIT
   endm

   macro PWM16_key_Stop_M
   and   reg[PWM16_key_CONTROL_LSB_REG], ~PWM16_key_CONTROL_REG_START_BIT
   endm

   macro PWM16_key_EnableInt_M
   M8C_EnableIntMask PWM16_key_INT_REG, PWM16_key_INT_MASK
   endm

   macro PWM16_key_DisableInt_M
   M8C_DisableIntMask PWM16_key_INT_REG, PWM16_key_INT_MASK
   endm


; end of file PWM16_key.inc

