;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME:   TRIADC.inc
;;  Version: 2.1, Updated on 2009/6/24 at 12:17:34
;;  Generated by PSoC Designer 5.0.972.0
;;
;;  DESCRIPTION:  Assembler declarations for the TriADC User Module for the
;;                27xxx PSoC family of devices.
;;
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2003. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************


;--------------------------------------------------
; Contants for TRIADC API's.
;--------------------------------------------------
; Counter1 Constants
TRIADC_bfCounter1_Mask:                equ   01h
TRIADC_bfCounter1_INT_REG:             equ   0e1h

; Counter2 Constants
TRIADC_bfCounter2_Mask:                equ   08h
TRIADC_bfCounter2_INT_REG:             equ   0e1h

; Counter3 Constants
TRIADC_bfCounter3_Mask:                equ   10h
TRIADC_bfCounter3_INT_REG:             equ   0e1h

; PWM Constants
TRIADC_bfPWM16_Mask:                   equ   04h
TRIADC_bfPWM16_INT_REG:                equ   0e1h

; Power Settings
TRIADC_bfPOWERMASK:                    equ   03h
TRIADC_OFF:                            equ   00h
TRIADC_LOWPOWER:                       equ   01h
TRIADC_MEDPOWER:                       equ   02h
TRIADC_HIGHPOWER:                      equ   03h

; Parameter Settings
TRIADC_bNUMBITS:                       equ   ah
TRIADC_bCALCTIME:                      equ   1h
TRIADC_bMAXRES:                        equ   0Dh      ; Max resolution 13 bits
TRIADC_bMINRES:                        equ   07h      ; Min resolution 7 bits
TRIADC_fCOMPARE_TRUE:                  equ   08h      ; Bit to enable compare True interrupts

; Functionality constants
TRIADC_fFSW0:                          equ   10h      ; Switch Cap FSW0 switch enable
TRIADC_NoAZ:                           equ   01h      ; Set if AutoZero is no enabled
TRIADC_fAutoZero:                      equ   20h      ; Switch Cap AutoZero switch enable
TRIADC_fDBLK_ENABLE:                   equ   01h      ; Digital block enable bit
TRIADC_fPULSE_WIDE:                    equ   04h      ; Set to wide terminal count pulse

; fStatus definitions
TRIADC_fDATA_READY:                    equ   10h      ; This bit is set when data is available
TRIADC_bRES_MASK:                      equ   0Fh      ; This bit while in integrate cycle

; Data Format
TRIADC_DATA_FORMAT:                    equ   0

; Flag in CR2 register mask
TRIADC_fRES_SET:                       equ   01h

;--------------------------------------------------
; Register Address Contstants for TRIADC
;--------------------------------------------------
; Integrator1 Block Register Definitions
TRIADC_bfADC1cr0:   equ 80h
TRIADC_bfADC1cr1:   equ 81h
TRIADC_bfADC1cr2:   equ 82h
TRIADC_bfADC1cr3:   equ 83h
; Integrator2 Block Register Definitions
TRIADC_bfADC2cr0:   equ 84h
TRIADC_bfADC2cr1:   equ 85h
TRIADC_bfADC2cr2:   equ 86h
TRIADC_bfADC2cr3:   equ 87h
; Integrator3 Block Register Definitions
TRIADC_bfADC3cr0:   equ 88h
TRIADC_bfADC3cr1:   equ 89h
TRIADC_bfADC3cr2:   equ 8ah
TRIADC_bfADC3cr3:   equ 8bh

; Counter1 Block Register Definitions
TRIADC_fCounter1FN: equ 20h
TRIADC_fCounter1SL: equ 21h
TRIADC_fCounter1OS: equ 22h
TRIADC_bCount1: equ 20h
TRIADC_bPeriod1:    equ 21h
TRIADC_bCompare1:   equ 22h
TRIADC_bCounter1_CR0:   equ 23h

; Counter2 Block Register Definitions
TRIADC_fCounter2FN: equ 2ch
TRIADC_fCounter2SL: equ 2dh
TRIADC_fCounter2OS: equ 2eh
TRIADC_bCount2: equ 2ch
TRIADC_bPeriod2:    equ 2dh
TRIADC_bCompare2:   equ 2eh
TRIADC_bCounter2_CR0:   equ 2fh


; Counter3 Block Register Definitions
TRIADC_fCounter3FN: equ 30h
TRIADC_fCounter3SL: equ 31h
TRIADC_fCounter3OS: equ 32h
TRIADC_bCount3: equ 30h
TRIADC_bPeriod3:    equ 31h
TRIADC_bCompare3:   equ 32h
TRIADC_bCounter3_CR0:   equ 33h

; PWM16 Block Register Definitions
TRIADC_bfPWM_LSB_FN:    equ 24h
TRIADC_bfPWM_MSB_FN:    equ 28h
TRIADC_fPWM_LSB_CR0:    equ 27h
TRIADC_fPWM_MSB_CR0:    equ 2bh
TRIADC_bPWM_Count_MSB:  equ 28h
TRIADC_bPWM_Count_LSB:  equ 24h
TRIADC_bPWM_Period_MSB: equ 29h
TRIADC_bPWM_Period_LSB: equ 25h
TRIADC_bPWM_IntTime_MSB:    equ 2ah
TRIADC_bPWM_IntTime_LSB:    equ 26h
TRIADC_bfPWM_LSB_FN:    equ 24h
TRIADC_bfPWM_MSB_FN:    equ 28h

; end of file TRIADC.inc

