;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: Timer16.inc
;;   Version: 2.6, Updated on 2009/6/24 at 12:17:24
;;  Generated by PSoC Designer 5.0.972.0
;;
;;  DESCRIPTION: Assembler declarations for the Timer16 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for Timer16 API's.
;--------------------------------------------------

Timer16_CONTROL_REG_START_BIT:             equ 0x01    ; Control register start bit
Timer16_INT_REG:                           equ 0x0df
Timer16_INT_MASK:                          equ 0x80


;--------------------------------------------------
; Constants for Timer16 user defined values
;--------------------------------------------------

Timer16_PERIOD:                            equ 0x270f
Timer16_COMPARE_VALUE:                     equ 0x0


;--------------------------------------------------
; Register Address Constants for Timer16
;--------------------------------------------------

Timer16_COUNTER_LSB_REG:               equ 0x58   ; DR0 Counter register
Timer16_COUNTER_MSB_REG:               equ 0x5c
Timer16_PERIOD_LSB_REG:                equ 0x59   ; DR1 Period register
Timer16_PERIOD_MSB_REG:                equ 0x5d
Timer16_COMPARE_LSB_REG:               equ 0x5a   ; DR2 CompareValue register
Timer16_COMPARE_MSB_REG:               equ 0x5e
Timer16_CONTROL_LSB_REG:               equ 0x5b   ; Control register
Timer16_CONTROL_MSB_REG:               equ 0x5f
Timer16_FUNC_LSB_REG:                  equ 0x58   ; Function register
Timer16_FUNC_MSB_REG:                  equ 0x5c
Timer16_INPUT_LSB_REG:                 equ 0x59   ; Input register
Timer16_INPUT_MSB_REG:                 equ 0x5d
Timer16_OUTPUT_LSB_REG:                equ 0x5a   ; Output register
Timer16_OUTPUT_MSB_REG:                equ 0x5e


;--------------------------------------------------
; Timer16 Macro 'Functions'
;--------------------------------------------------

   macro Timer16_Start_M
   or    reg[Timer16_CONTROL_LSB_REG],  Timer16_CONTROL_REG_START_BIT
   endm

   macro Timer16_Stop_M
   and   reg[Timer16_CONTROL_LSB_REG], ~Timer16_CONTROL_REG_START_BIT
   endm

   macro Timer16_EnableInt_M
   M8C_EnableIntMask Timer16_INT_REG, Timer16_INT_MASK
   endm

   macro Timer16_DisableInt_M
   M8C_DisableIntMask Timer16_INT_REG, Timer16_INT_MASK
   endm


; end of file Timer16.inc
