//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules

//#pragma interrupt_handler motor
void GenerateOneThirdDutyCycle(void);

//キーボード、PWM値設定

int PW = 50;
int SILENT=0,C=229,C1=217,D=204,D1=193,E=182,F=172,F1=162,G=153,G1=145,A=136,A1=129,B=121;
unsigned int gx,gy,gz;

#define key_1 0b00001000
#define key_2 0b00000100
#define key_3 0b00000010
#define key_a 0b00010000
#define key_b 0b00100000
#define key_c 0b01000000
#define key_d 0b10000000

void main() 
{
	M8C_EnableGInt;
//	Timer16_EnableInt();
//	Timer16_Start();
//TRIACD設定
	TRIADC_Start(TRIADC_HIGHPOWER);
	TRIADC_GetSamples(0);
//PGA設定	
	PGA_X_Start(PGA_X_HIGHPOWER);
	PGA_Y_Start(PGA_Y_HIGHPOWER);
	PGA_Z_Start(PGA_Z_HIGHPOWER);
//PWM16設定
//	PWM16_Start();
	PWM16_key_Start();
	PWM16_key_WritePulseWidth(PW);
	
	while(1){	
		while(TRIADC_fIsDataAvailable() == 0);
		gx = TRIADC_iGetData3();//加速度x軸読み取り
		gy = TRIADC_iGetData2();//加速度y軸読み取り
		
		PRT2DR = key_1;

		if(PRT2DR & key_a){
			if(gx>550){
				PWM16_key_WritePeriod(C);}//ド
			if(100<gx && gx<550){
				PWM16_key_WritePeriod(C>>1);}//オクターブアップ
			if(gx<100){
				PWM16_key_WritePeriod(C>>2);}//２オクターブアップ
			PRT2DR &= (~key_a);}

		if(PRT2DR & key_b){
			if(gx>550){
				PWM16_key_WritePeriod(D1);}//レ＃
			if(100<gx && gx<550){
				PWM16_key_WritePeriod(D1>>1);}
			if(gx<100){
				PWM16_key_WritePeriod(D1>>2);}
			PRT2DR &= (~key_b);}
//			PWM16_key_WritePeriod(SILENT);}
		if(PRT2DR & key_c){ 
			if(gx>550){
				PWM16_key_WritePeriod(F1);}//ファ＃
			if(100<gx && gx<550){
				PWM16_key_WritePeriod(F1>>1);}
			if(gx<100){
				PWM16_key_WritePeriod(F1>>2);}
			PRT2DR &= (~key_c);}
//			PWM16_key_WritePeriod(SILENT);}		
		if(PRT2DR & key_d){ 
			if(gx>550){
				PWM16_key_WritePeriod(A);}//ラ
			if(100<gx && gx<550){
				PWM16_key_WritePeriod(A>>1);}
			if(gx<100){
				PWM16_key_WritePeriod(A>>2);}
			PRT2DR &= (~key_d);}
//			PWM16_key_WritePeriod(SILENT);}		
		else{
			PRT2DR &= (~key_1);
			PRT2DR = key_2;
		
			if(PRT2DR & key_a){ 
				if(gx>550){
					PWM16_key_WritePeriod(C1);}//ド＃
				if(100<gx && gx<550){
					PWM16_key_WritePeriod(C1>>1);}
				if(gx<100){
					PWM16_key_WritePeriod(C1>>2);}
				PRT2DR &= (~key_a);
				}
			if(PRT2DR & key_b){
				if(gx>550){
					PWM16_key_WritePeriod(E);}//ミ
				if(100<gx && gx<550){
					PWM16_key_WritePeriod(E>>1);}
				if(gx<100){
					PWM16_key_WritePeriod(E>>2);}				
				PRT2DR &= (~key_b);
			}
//				PWM16_key_WritePeriod(SILENT);}
			if(PRT2DR & key_c){ 
				if(gx>550){
					PWM16_key_WritePeriod(G);}//ソ
				if(100<gx && gx<550){
					PWM16_key_WritePeriod(G>>1);}
				if(gx<100){
					PWM16_key_WritePeriod(G>>2);}
				PRT2DR &= (~key_c);
				}
//				PWM16_key_WritePeriod(SILENT);}
			if(PRT2DR & key_d){ 
				if(gx>550){
					PWM16_key_WritePeriod(A1);}//ラ＃
				if(100<gx && gx<550){
					PWM16_key_WritePeriod(A1>>1);}
				if(gx<100){
					PWM16_key_WritePeriod(A1>>2);}
				}//			PWM16_key_WritePeriod(SILENT);}		
			else{
				PRT2DR &= (~key_2);
				PRT2DR = key_3;
				
				if(PRT2DR & key_a){ 
					if(gx>550){
						PWM16_key_WritePeriod(D);}//レ
					if(100<gx && gx<550){
						PWM16_key_WritePeriod(D>>1);}
					if(gx<100){
						PWM16_key_WritePeriod(D>>2);}
					PRT2DR &= (~key_a);
					}
//					PWM16_key_WritePeriod(SILENT);}
				if(PRT2DR & key_b){
					if(gx>550){
						PWM16_key_WritePeriod(F);}//ファ
					if(100<gx && gx<550){
						PWM16_key_WritePeriod(F>>1);}
					if(gx<100){
						PWM16_key_WritePeriod(F>>2);}
					PRT2DR &= (~key_b);
					}
//					PWM16_key_WritePeriod(SILENT);}
				if(PRT2DR & key_c){ 
					if(gx>550){
						PWM16_key_WritePeriod(G1);}//ソ＃
					if(100<gx && gx<550){
						PWM16_key_WritePeriod(G1>>1);}
					if(gx<100){
						PWM16_key_WritePeriod(G1>>2);}
					PRT2DR &= (~key_c);
					}
//					PWM16_key_WritePeriod(SILENT);}	
				if(PRT2DR & key_d){ 
					if(gx>550){
						PWM16_key_WritePeriod(B);}//シ
					if(100<gx && gx<550){
						PWM16_key_WritePeriod(B>>1);}
					if(gx<100){
						PWM16_key_WritePeriod(B>>2);}
					}
				//			PWM16_key_WritePeriod(SILENT);}		
				else{
					PRT2DR &= (~key_3);
					
					}
				}
			}
		}
}


//加速度センサーとサーボモーター

/*void motor(void)
{
	while(TRIADC_fIsDataAvailable() == 0);
		gx = TRIADC_iGetData3();
		gy = TRIADC_iGetData2();
		if(tone=0){}		
		else if(tone=1){
			PWM16_key_WritePeriod(C+((gx-350)>>3));}
			else if(tone=2){
				PWM16_key_WritePeriod(D+((gx-350)>>3));}
				else if(tone=3){
					PWM16_key_WritePeriod(E+((gx-350)>>3));}
					else if(tone=4){
						PWM16_key_WritePeriod(F+((gx-350)>>3));}
						else if(tone=5){
							PWM16_key_WritePeriod(G+((gx-350)>>3));}
}*/


//	gz = TRIADC_iGetData1();
//PWM16_WritePulseWidth(1200);
/*	if(gx>350){
		PWM16_WritePulseWidth(1200+((gx-350)<<1));}
	if(gx<350){
		PWM16_WritePulseWidth(1200-((350-gx)<<1));}*/
